<template name="ArticlesList">
  {{#each articles}}
    {{> ArticlesListElement}}
  {{/each}}
</template>

<template name="ArticlesListElement">
  <article class="article-list-item">
    <a href="{{ pathFor 'articleSlug' }}">
      <div class="article-image" style="background-image: url('{{ image.link }}')">
      </div>
      <p class="article-name">{{ name }}</p>
    </a>
    {{#if hasPromotions}}
      <span class="article-discount">
        -{{ totalDiscount }}%
      </span>
    {{/if}}
    <span class="article-price">
      {{#if hasPromotions}}
        <del>{{ price }}€</del>&nbsp;{{ discountedPrice }}€
      {{else}}
        {{ price }}€
      {{/if}}
    </span>
    {{#if quantityInCart}}
      <span class="quantity-in-cart">{{ quantityInCart }}</span>
    {{/if}}
    <span data-action="add-to-cart" class="add-to-cart">
      <i class="fa fa-cart-plus"></i>
    </span>
  </article>
</template>
